.titleBar { margin-bottom: 5px!important; }

Kann keine eigene Firmware erstellen

Dieses Thema im Forum "Freetz" wurde erstellt von theoldphilip, 28 Dez. 2008.

Status des Themas:
Es sind keine weiteren Antworten möglich.
  1. theoldphilip

    theoldphilip Neuer User

    Registriert seit:
    28 Dez. 2008
    Beiträge:
    1
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hallo

    hab mich heute damit befasst eine eigene Firmware mit freetz zu erstellen.
    Dabei bin ich am Ende auf ein Problem gestoßen.

    Ich habe eine Fritzbox 7170 mit Firmware-Version 29.04.67 und möchte freetz 1.0.1 nutzen.

    Ich sollte vorausschicken das ich von Linux/freetz noch keine große ahnung habe deshalb seid bitte nachsichtig.

    Ok jetzt aber zum Problem. Nachdem ich die Firmware erstellt habe, habe ich dann das "make" comando zum erstellen genutzt. Das ganze heruntergelade funktioniert auch. Zu schluss sagt er dann "
    Code:
    Die Datei >> FRITZ.Box_FON_WLAN_7170.29.04.59. image gibt es nicht.
    Dann schlägt er vor:
    Code:
    Use latest firmware FRITZ.Box_FON-WLAN_7170.29.04.67 image ?
    Das bejahe ich und führe wider
    Code:
    make
    aus.

    Die neue Firmware wird heruntergeladen und dann folgt der STEP 1: UNPACK.

    Das funktioniert noch aber jetzt:

    Beim STEP 2: Modify gibt es Folgende fehlermeldung:

    Code:
    STEP 2: MODIFY
    applying patches
      applying patches (7170-de)
        applying patch file ./patches/7170/100-webif.sh
      Applying symlinks, deleting additional webinterfaces
        applying patch file ./patches/100-profile.patch
        patching file etc/profile
        ----------------------------------------------------------------------
        applying patch file ./patches/110-multid-wait.patch
        patching file etc/init.d/rc.net
        ----------------------------------------------------------------------
        applying patch file ./patches/110-system_status.patch
        patching file usr/bin/system_status
        ----------------------------------------------------------------------
        applying patch file ./patches/120-inittab_console.patch
        patching file etc/inittab
        Hunk #1 FAILED at 1.
        1 out of 1 hunk FAILED -- saving rejects to file etc/inittab.rej
        ----------------------------------------------------------------------
    ERROR: modpatch: Error in patch-file ./patches/120-inittab_console.patch
    make: *** [firmware-nocompile] Fehler 2
    
    
    Könnt ihr mir helfen ?

    Wie gesagt bin da noch nicht soo bewandert wenn ihr noch Infos braucht sagt es bitte.

    Mfg Philip
     
  2. frank_m24

    frank_m24 IPPF-Urgestein

    Registriert seit:
    20 Aug. 2005
    Beiträge:
    17,571
    Zustimmungen:
    1
    Punkte für Erfolge:
    36
    Ort:
    Niederrhein
    Hallo,

    die 54.04.67 wird von freetz 1.0.1 noch nicht unterstützt. Das kann man über die Suchfunktion ziemlich oft nachlesen, und ebenso, was man dann tun muss. Außerdem ist das Wiki auf freetz.org eine gute Anlaufstelle für Anfänger.

    Deshalb mache ich mal direkt zu hier, um den üblichen Unmutsäußerungen direkt einen Riegel vorzuschieben.
     
Status des Themas:
Es sind keine weiteren Antworten möglich.